BooleanConditionBase (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.logic.condition

## Class BooleanConditionBase

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.ConditionBase
    - - net.sf.antcontrib.logic.condition.BooleanConditionBase

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    Assert

      public class BooleanConditionBase
      extends org.apache.tools.ant.taskdefs.condition.ConditionBase

  Extends ConditionBase so I can get access to the condition count and the first condition. This is the class that the BooleanConditionTask is proxy for.

  Developed for use with Antelope, migrated to ant-contrib Oct 2003.

  Author:
    Dale Anson, danson@germane-software.com

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanConditionBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIsGreaterThan(IsGreaterThan i)`
    `void` | `addIsLessThan(IsLessThan i)`
    `void` | `addIsPropertyFalse(IsPropertyFalse i)` Adds a feature to the IsPropertyFalse attribute of the BooleanConditionBase object
    `void` | `addIsPropertyTrue(IsPropertyTrue i)` Adds a feature to the IsPropertyTrue attribute of the BooleanConditionBase object

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase

      `add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsFileSelected, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions, getTaskName, setTaskName`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanConditionBase

          public BooleanConditionBase()

  - ### Method Detail

    - #### addIsPropertyTrue

          public void addIsPropertyTrue(IsPropertyTrue i)

      Adds a feature to the IsPropertyTrue attribute of the BooleanConditionBase object
      Parameters:
        `i` - The feature to be added to the IsPropertyTrue attribute

    - #### addIsPropertyFalse

          public void addIsPropertyFalse(IsPropertyFalse i)

      Adds a feature to the IsPropertyFalse attribute of the BooleanConditionBase object
      Parameters:
        `i` - The feature to be added to the IsPropertyFalse attribute

    - #### addIsGreaterThan

          public void addIsGreaterThan(IsGreaterThan i)

    - #### addIsLessThan

          public void addIsLessThan(IsLessThan i)